# Login

![Login-Maske](login-screen.webp)

Es gibt zwei Möglichkeiten, sich an der [solawi-suite] anzumelden:

1. Standardmäßig per Benutzername/Kennwort und zweitem Faktor (TOTP[^1]) — das sind die Daten, die du bei der
   [Registrierung](../registration/index.md) angegeben hast.
2. Die Anmeldung per Passkey — dazu musst du jedoch bereits einen Passkey hinterlegt haben. Wie das geht, erklären wir
   dir [hier](self-service.md#passkeys-verwalten).

## Anmeldung per Benutzername/Kennwort und zweitem Faktor

Nach der Eingabe von Benutzername und Kennwort wirst du zur Eingabe des Einmalpassworts aufgefordert. Bitte beachte: Ein
Einmalpasswort kann nur ein einziges Mal verwendet werden.

### Passwort vergessen?

Du kannst die Funktion "Passwort vergessen" nutzen, die du direkt beim Login-Formular siehst.

!["Passwort vergessen"-Link](forgot-password-link.webp)

Nach Eingabe deiner E-Mail-Adresse erhältst du eine E-Mail mit weiteren Instruktionen.

!["Passwort vergessen"-Formular](forgot-password-form.webp)

!!! tip "Begrenzte Gültigkeit"

    Die Informationen aus der E-Mail haben nur eine begrenzte Gültigkeit. Während diese jedoch noch nicht abgelaufen
    ist, ist es nicht möglich, erneut Anweisungen anzufordern.

    Wenn du weitere Unterstützung brauchst, [kontaktiere uns einfach](/ui/contact).

### TOTP-Generator / Geheimnis / Konfiguration verloren?

Hier kannst du einen deiner Notfallcodes verwenden. Das sind einmalig verwendbare Codes, die du dir selbst erzeugen
kannst. Damit du im Notfall auch welche zur Verfügung hast, warnt dich das System, wenn die Codes knapp werden.

Um einen Notfallcode zu verwenden, klicke einfach unterhalb des TOTP-Einmal-Passwort-Feldes auf den entsprechenden Link.

![Login mit Notfallcode](forgot-otp-secret-link.webp)

!!! tip "Groß-/Kleinschreibung beachten"

    Notfallcodes sind in der Datenbank wie Passwörter gespeichert. Achte daher bei der Eingabe auf Groß- und
    Kleinschreibung, da nur so ein Vergleich erfolgreich sein kann.

Nach erfolgreichem Login solltest du den verwendeten Code von deiner Liste streichen.

_Siehe auch: [:octicons-arrow-right-24: Notfallcodes erneuern](self-service.md#notfallcodes-erneuern)._


## Anmeldung per Passkey

Wenn du bereits einen Passkey ([wie hier beschrieben](self-service.md#passkeys-verwalten)) erstellt hast, kannst du die
komfortabelst Art der Anmeldung verwenden. Klicke einfach auf die Schaltfläche:

![Mit Passkey-Login beginnen](init-passkey-login.webp)

Je nach Betriebssystem/Browser/App wirst du nun gebeten, den passenden Passkey auszuwählen und freizugeben:

![Passkey-Auswahl](passkey-select.webp)

Danach bist du bereits angemeldet!

!!! info "Passkeys — gerätegebunden, synchronisiert, individuell?"

    Manche synchronisieren ihre Passkeys mit einer Cloudlösung, andere nutzen auch dafür einen Passwortmanager. Wieder
    andere erzeugen auf jedem Gerät, dass sie verwenden wollen, einen individuellen Schlüssel.

    Alle Verfahren haben Vor- und Nachteile. Wir limitieren jedoch nicht die Anzahl der Passkeys, die du für dein
    Benutzerkonto hinterlegst. Du kannst jederzeit entscheiden, welche deiner Passkeys gültig sind und kannst nicht
    mehr benötigte Passkeys problemlos löschen.

    Wenn dir kein Passkey mehr zur Verfügung steht, logge dich normal mit Benutzernamen, Kennwort und zweitem Faktor an
    und erstelle einen neuen Passkey.

## Besonderheiten bei deinem ersten Login

Wenn du dich nach erfolgreicher Registrierung erstmals einloggst, wirst du zwei Warnungen sehen:

![Warnungen beim ersten Login](first-login.webp)

Damit du dein Konto sicher benutzen kannst, bitten wir dich, Notfallcodes (für den Fall, dass du keine TOTPs mehr zur
Verfügung hast) und einen Passkey zu erstellen. Du kannst beide Meldungen ignorieren und schließen, sie kommen aber
wieder.

Bei den Notfallcodes erhältst du zukünftig auch Warnungen, wenn die verfügbare Anzahl unter ein gewisses Minimum fällt.


[^1]: TOTP steht für "Time-based one-time password" und ist eine gängige Form für einen zweiten Faktor für die Anmeldung
      an (Web-)Applikationen. Die Erzeugung ist standardisiert, so dass eine breite Auswahl an Apps und Tools für fast
      jede Plattform zur Verfügung steht.
      Weitere Infos bei [Wikipedia](https://de.wikipedia.org/wiki/Time-based_one-time_password).