# Kontoverwaltung

Du findest die Funktionen des Kontoverwaltung (Selbst-Service) hier:

![Zugriff auf den Selbst-Service](self-service-access.webp)

Damit stehen dir diese Funktionen zur Verfügung:

![Selbst-Service Funktionen](self-service-tools.webp)

## Passkeys verwalten

### Was sind Passkeys?

Passkeys sind eine moderne, passwortlose Authentifizierungstechnologie. Sie sind eine Alternative zu gewöhnlichen
Passwörtern und vereinfachen dir den Zugang zur [solawi-suite].

!!! info inline end "Wichtig!"

    Dein privater Schlüssel und deine (biometrischen) Daten, die du zur Entsperrung verwendest, bleiben sicher auf
    deinem Gerät und werden zu keinem Zeitpunkt an unsere Server übermittelt.

Ein Passkey besteht aus zwei Teilen: Einem individuellen öffentlichen Schlüssel, den wir auf unseren Servern speichern,
und dem dazugehörigen privaten Schlüssel, der sicher verwahrt auf deinem Gerät verbleibt. Wenn du dich anmeldest prüfen
wir anhand einer einmaligen "Challenge" — einem langen Zufallscode, der dein Gerät mit deinem privaten Schlüssel
signiert, ob eben dieser privater Schlüssel zu dem öffentlichen Schlüssel passt, den wir von dir kennen.

Für diese Prüfung wirst du gegebenenfalls aufgefordert, dein Gerät oder deinen Zugangsdatenspeicher zu entsperren, z. B.
mittels Fingerabruck, Gesichtsscan oder auch einer PIN. Der Rest der Prozedur verläuft vollautomatisch und dauert nur
wenige Sekunden.

!!! warning "Kompatibles Gerät / kompatibler Browser benötigt"

    Für die Verwendung von Passkeys benötigst du ein kompatibles Endgerät. Moderne Mobilgeräte, Browser aller großen
    Hersteller und wichtigsten Betriebssysteme sind heute für die Verwendung von Passkeys geeignet.

### Neuen Passkey anlegen

Die Erzeugung eines neuen Passkeys ist mit nur wenigen Schritten erledigt. Klicke auf die folgende Schaltfläche:

![Neuen Passkey erstellen](new-passkey-button.webp)

Je nach Gerät bzw. Browser erscheint nun ein Dialog, der dich durch die erforderlichen Schritte zur Herstellung und
Speicherung deines Passkeys führt:

![Erstellung eines neuen Passkeys](new-passkey-generation.webp)

Wenn alles geklappt hat, hast du nun die Möglichkeit, deinem neuen Passkey einen Namen zu geben und seine Gültigkeit zu
definieren.

![Passkey-EInstellungen](passkey-settings.webp)

Das war's! Ab sofort kannst du dich [mit deinem Passkey anmelden](login.md#anmeldung-per-passkey).

!!! tip "Gerät nicht unterstützt?"

    Wenn dein Geräte nicht direkt unterstützt wird, sollte versucht werden, dir eine Alternative unter Verwendung deines
    Mobiltelefons oder eines Sicherheitssticks angeboten werden. So kannst du auch dann von den Vorteilen des Passkeys
    profitieren.

    Wenn du dich dann per Passkey anmelden möchstest, brauchst du natürlich wieder dein Mobiltelefon oder den
    Sicherheitsstick.

    ![Alternatives System verwenden](passkey-alternative.webp)

## Passwort ändern

Hier kannst du dein Passwort ändern. Mit der erfolgreichen Änderung deines Passworts wirst du automatisch von allen
Sitzungen abgemeldet und musst dich neu einloggen.

## Einmal-Passwort-Geheimnis ändern

Hier kannst du ein neues Geheimnis bzw. eine neue Konfiguration für deine TOTP[^1]-App bzw. dein TOTP-Tool erhalten. Mit
der erfolgreichen Aktivierung wirst du automatisch von allen Sitzungen abgemeldet und musst dich erneut einloggen.

## Notfallcodes erneuern

Hier generierst du 10 neue Notfallcodes. Damit werden alle ggf. noch vorhandenen Notfallcodes ungültig. Da die neuen
Codes nur ein einziges Mal angezeigt werden, speichere sie direkt ab oder drucke sie aus.

Verwahre sie sorgfältig und sicher, damit niemand sonst Zugriff auf dein Konto erhalten kann.

## Abmelden (Logout)

Dies beendet deine aktuelle Sitzung.

## Von allen Sitzungen abmelden

Dies meldet dich von allen Sitzungen ab.


[^1]: TOTP steht für "Time-based one-time password" und ist eine gängige Form für einen zweiten Faktor für die Anmeldung
      an (Web-)Applikationen. Die Erzeugung ist standardisiert, so dass eine breite Auswahl an Apps und Tools für fast
      jede Plattform zur Verfügung steht.
      Weitere Infos bei [Wikipedia](https://de.wikipedia.org/wiki/Time-based_one-time_password).