# Modul: Beamer-Verbindung

Dieses Modul ermöglicht die Wiedergabe von Informationen auf anderen Geräten, die z. B. mit einem Beamer diese
Informationen projizieren.

## Grundaufbau

![Grundaufbau](connection-diagram.webp)

- Auf den an den Beamern angeschlossenen Geräten wird im Browser die Webseite
  [https://solawi.me/beamer/](https://solawi.me/beamer/) aufgerufen. Hierfür ist kein Benutzerkonto erforderlich!
- Jedes Gerät erhält dabei eine individuelle Identifikationsnummer (Screen Code), die für die weitere Konfiguration
  benötigt wird. Sie kann abgelesen werden, indem man mit der Maus über die kleine schwarze Leiste im Kopfbereich der
  im Browser aufgerufenen Seite fährt:

![Screen Code](beamer-screen-code.webp)

- Mit einem Tastendruck auf `F` lässt sich das Bild im Browser auf "Vollbild" schalten. So wirkt es bei der Projektion
  optimal.
- Ein:e eingeloggte:r Benutzer:in mit Zugriff auf das Beamer-Modul (z. B. die Veranstaltungsleitung oder ein
  Teammitglied) kann nun den Screen Code hinzufügen. Dazu wird in der [solawi-suite] das Modul "Beamer-Verbindung"
  ausgewählt. Im entsprechenden Eingabefeld wird die Identifikationsnummer eingetragen.

![Code hinzufügen](beamer-add-connection.webp)

- **Die Verbindung gilt nur für das Endgerät, auf dem der Screen Code erfasst wurde!** Ein Screen Code kann auf mehreren
  Geräten von Teammitgliedern oder Veranstaltungsleiter:innen erfasst werden.
- Im Anschluss an die Erfassung steht die Verbindung zur Verfügung:

![Beamer-Liste](beamer-list.webp)

- Es können beliebig viele Verbindungen hinzugefügt werden.
- Es gibt folgende Optionen pro Verbindung:
    - Sprechblase: Test-Nachricht senden und als Folie anzeigen
    - Pfeil-Kreis: Zurücksetzen der Verbindung, Standard-Folie anzeigen
    - Mülleimer: Verbindung trennen

!!! warning "Konfiguration wird nicht persistiert!"

    Die verbundenen Anzeigen werden nicht in der Datenbank persistiert und stehen nur so lange zur Verfügung, bis die
    jeweilige Sitzung des jeweiligen Teammitglieds oder Veranstaltungsleitung geschlossen wird, z. B. durch Logout.

In verschiedenen Anwendungen gibt es Schaltflächen, mit denen sich ein Status oder eine Folie zum Kontext passend an
alle verbundenen Anzeigen übermittelt werden kann. Diese Schaltflächen sehen üblicherweise so aus:

![Beamer-Button](beamer-button.webp)
