# Modul: Digitales Gebot

Die Gebotsrunden für den monatlichen Solidarbeitrags für ein Wirtschaftsjahr sind anstrengend und zeitraubend. Manuelle
Auszählungen sind fehleranfällig und müssen mehrfach kontrolliert werden

Dieses Modul ermöglicht die digitale interaktive Erfassung von Geboten, beispielsweise während einer Hauptversammlung.
So sind Gebotsrunden innerhalb weniger Minuten durchführbar und die Ergebnisse stehen nach Sekunden fest. Entsprechende
Reports ermöglichen Orga-Teams und Finanz-AKs eine zügige Weiterverarbeitung.

!!! info "Für Mitglieder von Orga- und Finanzteams"

    Die nachfolgende Dokumentation richtet sich an die Mitglieder von Orga- oder Finanzteams, die Gebotsrunden
    organisieren und dazu ein Benutzerkonto für die [solawi-suite] haben.

    Mitglieder, die Gebote abgeben wollen, benötigen kein Benutzerkonto. Für die Verwendung des Moduls aus Sicht
    gebotsabgebender Mitglieder [gibt es eine eigenständige Dokumentation](members.md).

## Begriffserklärung

Ereignis
: Ein Ereignis ist eine Veranstaltung, auf der Gebote abgegeben werden sollen. Das kann beispielsweise eine
  Jahreshauptversammlung oder eine Gründungsveranstaltung sein.

Ereignis-PIN
: Zahlencode, mit dem bei einem Ereignis ein Gebot abgegeben werden kann.

Anteil
: Ein Anteil bezeichnet den Ernteanteil, für den ein Gebot abgegeben werden soll.

Anteils-ID
: Kennung eines Anteils, mit dem ein Gebot zugeordnet wird.

Anteils-PIN
: Zahlencode, mit dem ein Gebot für einen spezifischen Anteil abgegeben werden kann.

Gebotsrunde
: In einer Runde werden Gebote für alle Anteile eingesammelt.

Finanzplan
: Hier wird der Bedarf für ein Wirtschaftsjahr hinterlegt. Anhand des Finanzplans wird berechnet, ob eine Gebotsrunde
  erfolgreich war oder nicht.


## Eigene Ereignisse

Mit "eigenen Ereignissen" sind all die Ereignisse gemeint, die mit dem eingeloggten Benutzerkonto angelegt und verwaltet
werden, oder solche Ereignisse, die mit der Funktion [Ereignis übertragen](#ereignis-an-anderen-besitzerin-übertragen)
an das aktuell eingeloggte Benutzerkonto übertragen wurden.

### Ereignis anlegen

Ein neues Ereignis kann im Reiter "Eigene Ereignisse" mit der grünen Schaltfläche "Neues Ereignis" angelegt werden.

![Schaltfläche "Neues Ereignis"](new-event.webp)

Für ein neues Ereignis können nun einige Informationen erfasst werden.

![Formular "Neues Ereignis"](new-event-form.webp)

Name
: Der Name des Ereignisses, z. B. "Jahreshauptversammlung 2024". Dieser Name wird an verschiedenen Stellen angezeigt,
  unter anderem bei der Ausgabe auf Beamern oder in der Gebotsabgabemaske für Mitglieder. Auch die Auswertungen tragen
  dies als Titel.

Aktiviert
: Wenn eingeschaltet, kann das Ereignis im Rahmen des angegebenen Zeitfensters für die Gebotsabgabe genutzt werden.

Aktiv ab
: Hier beginnt das Zeitfenster, in dem das Ereignis aktiv ist. Der Standardwert liegt weit in der Vergangenheit.

Aktiv bis
: Hier endet das Zeitfenster, in dem das Ereignis aktiv ist. Der Standardwert liegt weit in der Zukunft.

!!! tip "Kombination aus 'Aktiviert', 'Aktiv ab' und 'Aktiv bis'"

    Damit ein Ereignis als "aktiv" gilt, müssen alle drei Bedingungen erfüllt sein:

    - Die Option "Aktiviert" muss aktiv sein
    - Der aktuelle Zeitpunkt muss nach dem "Aktiv ab"-Zeitpunkt liegen
    - Der aktuelle Zeitpunkt muss vor dem "Aktiv bis"-Zeitpunkt liegen

!!! note "Bitte beachten"

    Die Funktionen für Teammitglieder stehen nur dann zur Verfügung, wenn ein Ereignis aktiviert ist und man sich
    innerhalb des angegebenen Zeitfensters befindet.

Alle Angaben können nachträglich bearbeitet werden.

### Ereignis aufrufen

Ereignisse können durch Klick auf den Namen in der Ereignis-Liste aufgerufen werden.

![Ereignis-Liste](open-event.webp)

### Ereignis-Optionen

![Ereignis-Optionen](event-header.webp)

Bei Ereignissen stehen folgende Optionen zur Verfügung:

An Beamer senden
: Hiermit wird eine virtuelle Folie an alle angeschlossenen Beamer gesendet, die Zugangsinformationen zum aktuellen
  Ereignis enthält.
: ![Ereignis-Darstellung in der Beamer-Ansicht](event-beamer.webp)

Team verwalten
: Hier kann das Team verwaltet werden, welches an dem Ereignis mitarbeiten soll.

Bearbeiten
: Hier werden die Details, die schon bei der Anlage eines Ereignisses angegeben wurden, bearbeitet. Unter anderem kann
  hier das Ereignis aktiviert, deaktiviert und umbenannt werden.

Übertragen
: Mit dieser Funktion kann man den Besitz des Ereignisses an eine:n andere:n Benutzer:in übertragen. Siehe dazu:
  [:octicons-arrow-right-24: Ereignis übertragen](#ereignis-an-anderen-besitzerin-übertragen).

Archivieren
: Mit dieser Funktion wird das Ereignis mit allen gesammelten Daten, wie Anteilen, Geboten und Auswertungen, archiviert.
  Nach der Archivierung kann das Ereignis nicht mehr bearbeitet werden. Es ist dann nur noch dem Besitzer möglich, die
  Ergebnisdokumente abzurufen oder das Ereignis endgültig zu löschen.

Ereignis-PIN neu erstellen
: ![Ereignis-PIN neu erstellen](renew-event-pin.webp)
: Mit dieser Funktion wird eine neue Ereignis-PIN erzeugt.

!!! warning "Alle Zugangslinks werden ungültig!"

    Wenn eine neue Ereignis-PIN erstellt wird, werden alle Direktzugangslinks ungültig. Dieser Vorgang lässt sich zudem
    nicht rückgängig machen. Die Ereignis-PIN wird zufällig erstellt.

Zugangslinks anzeigen
: Mit dieser Funktion kann man sich Zugangsinformationen für das Ereignis anzeigen lassen, z. B. um sie Einladungen
  hinzuzufügen.
: ![Zugangslinks](event-links.webp)
: Der Direktzugang ermöglicht die Gebotsabgabe ohne Eingabe der Ereignis-PIN.

!!! tip "Direkt-Link oder Zugang mit PIN?"

    Der Vorteil am Zugang mit PIN liegt darin, dass der QR-Code deutlich weniger komplex ist und daher auch von größerer
    Entfernung gut gescannt werden kann. Will oder kann man den QR-Code nicht verwenden, ist der aufzurufende Link sehr
    kurz.

    Der Direktzugangs-Link lässt sich praktisch nur bei elektronischen Einladungen verwenden.

### Finanzplan hinterlegen

![Widget "Finanzplan"](fiscal-plan-widget.webp)

Hier kann der Finanzierungsbedarf für das Wirtschaftsjahr festgelegt werden. Außerdem werden hier Regeln für die Abgabe
von Geboten definiert.

![Finanzplan](fiscal-plan.webp)

Benötigter Betrag
: Dies definiert den benötigten Gesamtbetrag für das Wirtschaftsjahr.

Monate
: Gibt an, wie viele Monate das Wirtschaftsjahr hat. Mit diesem Wert werden die monatlichen Gebote multipliziert, um den
  Gesamtbetrag der Gebote zu ermitteln.

Minimalbetrag auf Basis des mittleren Solidarbeitrags
: Wenn größer als Null, definiert dieser Wert den Prozentsatz des mittleren Solidarbeitrags als Mindestgebot. Der
  mittlere Solidarbeitrag wird natürlich auf die Anteilsgröße bezogen und berechnet sich aus dem Finanzierungsbedarfs
  geteilt durch die Anteile.

Standardgebot auf Basis des mittleren Solidarbeitrags
: Wenn kein Gebot für einen Anteil während einer Runde abgegeben wurde und kein Vorabgebot vorlag, wird dieser Wert
  herangezogen. Der mittlere Solidarbeitrag wird auch hier auf die Anteilsgröße bezogen.

Standardgebot auf Basis des Durchschnitts aller abgegebenen Gebote
: Wenn kein Gebot für einen Anteil während einer Runde abgegeben wurde und kein Vorabgebot vorlag, wird dieser Wert
  herangezogen. Als Basis gilt der Durchschnitt aller abgegebenen Gebote. Der Wert wird auf die Anteilsgröße bezogen.

!!! info "Kumulative Berechnung des Standardgebots"

    Wenn beide Angaben für das Standardgebot größer als Null sind, werden beide Beträge berechnet und addiert.

!!! note "Jeweils gültiger Finanzplan"

    Eine Gebotsrunde wird immer auf Basis des jeweils zu Beginn der Runde hinterlegten Finanzplans durchgeführt und
    ausgewertet.

Anteilswerte anzeigen
: Hier kann ausgewählt werden, welche Anteilsgrößen in diversen Ansichten ausgegeben werden. Selbstverständlich können
  davon abweichende Anteilsgrößen bei der Anlage von Anteilen angegeben werden. Dies ist eine rein informative
  Konfiguration.

### Anteile definieren

![Widget "Anteile"](shares-widget.webp)

Hier werden Anteile definiert, für die Gebote abgegeben werden können.

#### Anteil hinzufügen

Mit dieser Option kann ein Anteil hinzugefügt werden. Dazu müssen diese Informationen angegeben werden:

![Neuen Anteil anlegen](share-new.webp)

Anteils-ID
: Identifikation des Anteils, z. B. `0116b`. Mit dieser Identifikation muss sich der/die Besitzer:in für die 
  Gebotsabgabe anmelden.

Teiler
: Dies gibt die Anteilsgröße an. Ein Teiler von 1 steht dabei für einen ganzen Anteil, 2 für einen halben und 4 für
  einen viertel Anteil.

Anteilseigner
: Name des/der Anteils-Besitzer:in. _Die Angabe ist optional_.

Anteilseigner E-Mail
: E-Mail-Adresse des/der Anteils-Besitzer:in. _Die Angabe ist optional_.

#### Anteilsliste importieren

Die manuelle Anlage von Anteilen ist unter Umständen sehr zeitaufwändig. Daher gibt es die Möglichkeit, eine ganze Liste
von Anteilen aus einer CSV[^csv]-Datei zu importieren.

Das hier verwendete Format entspricht dem Standard-Export-Format von Microsoft Excel:

- Zeichensatz: **UTF-8 (bevorzugt ohne BOM)**
- Zeilenenden: **`CFLF` (`\r\n`)**
- Feldtrenner: **`;`**
- keine Kopfzeile
- kein Quoting
- Escape-Zeichen: **`\ `**

Es werden vier Spalten erwartet:

| Spalte | Inhalt                    |
|:------:|---------------------------|
|   A    | Anteils-ID                |
|   B    | Teiler                    |
|   C    | Anteilseigner             |
|   D    | Anteilseinger E-Mail      |

Dazu gibt es noch diese Optionen:

![Import-Optionen](share-import-options.webp)

Anteile mit gleicher ID überschreiben
: Wenn beim Import bereits vorhandene Anteile gefunden werden, werden diese mit den in der Import-Datei angegebenen
  Werten überschrieben.

Fehler ignorieren
: Fehler einfach überspringen.

#### Anteilskärtchen drucken

Für die Abgabe von Geboten werden nicht nur die Anteils-IDs gebraucht, sondern auch eine PIN. Um die Verteilung dieser
Informationen bei einer Veranstaltung zu vereinfachen, können mit dieser Option Kärtchen erzeugt werden, die dem
Mitglied zum Beispiel beim Check-In für die Veranstaltung ausgehändigt werden können.

![Anteilskärtchen](share-cards.webp)

Die Karten liegen als PDF-Datei vor. Sie können direkt gedruckt oder für spätere Verwendung heruntergeladen werden.

#### Anteil bearbeiten oder löschen

Klickt man die ID eines Anteils in der Liste an, so kann der Anteil bearbeitet oder gelöscht werden.

![Anteil bearbeiten](share-edit.webp)

Die Angaben entsprechen den Angaben, die bei der Anlage gemacht wurden.

### Vorabgebote erfassen

Möglicherweise kann ein Mitglied nicht an der Veranstaltung teilnehmen und gibt vorab ein Gebot ab. Dies kann
entsprechend im System erfasst werden. Zur Liste der erfassten Vorabgebote kommt man über das entsprechende Widget:

![Gebote-Widget](pre-bid-widget.webp)

Für die Erfassung gelangt man über die grüne Schaltfläche "Vorabgebot hinzufügen". Dann sind diese Angaben erforderlich:

![Formular "Vorabgebot"](pre-bid-form.webp)

Anteils-ID
: Die ID des Anteils, für den das Vorabgebot abgegeben wird.

Gültig ab Runde
: Es ist grundsätzlich möglich, mehrere Vorabgebote für einen Anteil abzugeben. Diese Angabe definiert, ab welcher Runde
  dieses Gebot gelten soll.

Fester Gebotsbetrag
: Angabe über die Höhe des Gebots auf monatlicher Basis.

Prozentsatz vom mittleren Solidarbeitrag
: Auf Basis der Anteilsgröße wird der angegebene Teil vom mittleren Solidarbeitrags bestimmt.

Prozentsatz vom Mittelwert aller abgegebenen Gebote
: Auf Basis der Anteilsgröße wird der angegebene Teil vom Durchschnitt aller abgegebenen Gebote berechnet.

!!! info "Kumulative Berechnung des Vorabgebots"

    Das endgültige Gebot wird als Summe aus allen drei Komponenten "Fester Gebotsbetrag", "Prozentsatz vom mittleren
    Solidarbeitrags" und "Prozentsagt vom Mittelwert aller abgegebenen Gebote" berechnet. "Genullte" Angaben werden
    nicht berücksichtigt.

    Soll beispielsweise nur ein fester Betrag verwendet werden, sind die beiden Prozentangaben auf Null zu setzen.

!!! warning "Vorabgebot unterhalb des Mindestgebots"

    Liegt das während einer Runde berechnete Gebot aus dem Vorabgebot unter dem Mindestgebot aus dem Finanzplan, wird
    das Vorabgebot automatisch bis zum Erreichen des Mindestgebots angehoben.

    Ein entsprechender Ausweis ist im Bericht über die Runde zu sehen.

### Runde durchführen

Mit der Auswahl von "Runde starten" beginnt die Gebotsrunde. Nun kann sich jedes Mitglied anmelden und sein Gebot
abgeben _(siehe auch: [:octicons-arrow-right-24: Digitales Gebot für Mitglieder](members.md))_.

Die Gebotsabgabe ist so lange möglich, bis die Runde gestoppt wird. Dann erfolgt sogleich die Auswertung.

!!! info "Keine Änderungen während einer Runde"

    Während eine Runde läuft, lassen sich keine Änderungen am Finanzplan, den Anteilen oder den Vorabgeboten vornehmen.

#### Ergebnisbericht erhalten

Mit dem Beenden der Runde wird das Ergebnis berechnet.

![Ergebnis](round-result.webp)

Man kann direkt erkennen, ob die Runde erfolgreich war oder nicht. Außerdem kann man direkt einen PDF-Bericht abrufen:

![Ergebnis-PDF](round-result-pdf.webp)

Auf den Folgeseiten enthält der Bericht detaillierte Informationen über die Zusammensetzung/Entstehung der jeweiligen
Gebote:

![Ergebnis-Detail](round-result-detail.webp)

Die PDF-Datei kann direkt heruntergeladen oder ausgedruckt werden.

!!! tip "Die Ergebnisse bleiben erhalten"

    Die Ergebnisse der einzelnen Runden können jederzeit wieder abgerufen werden, solange das Ereignis nicht gelöscht
    oder archiviert wurde.

### Ereignis an andere:n Besitzer:in übertragen

Mit dieser Funktion ist es möglich, das Ereignis an einen anderen Benutzer zu übertragen.

![Ereignis übertragen](transfer-event.webp)

Für die Übertragung können folgende Angaben gemacht werden:

E-Mail-Adresse
: Dies ist die E-Mail-Adresse des Benutzers, an den das Ereignis übertragen werden soll. Dieser Benutzer muss bereits
  ein Konto besitzen und Zugriff auf das Modul "Digitales Gebot" haben.

Im Team verbleiben
: Setze diese Option, wenn du nach der Übertragung selbst im Team verbleiben möchtest. Anschließend kannst du noch die
  Berechtigungen definieren, die du haben möchtest.

!!! tip "Berechtigungen liegen ab dann beim neuen Besitzer"

    Der neue Besitzer kann natürlich deine Berechtigungen als Teammitglied wieder bearbeiten.

Aktiviert
: Legt fest, ob du ein aktives Teammitglied bist.

Aktiv ab / Aktiv bis
: Legt das Zeitfenster fest, in dem deine Teammitgliedschaft aktiv ist. Auch hier gilt: Alle drei Einstellungen
  (Aktiviert, Aktiv ab, Aktiv bis) müssen passen, damit die Mitgliedschaft vom System als aktiv betrachtet wird.

Berechtigung: Vorabgebot erfassen
: Legt fest, ob du als Teammitglied Vorabgebote erfassen und bearbeiten darfst.

Berechtigung: Gebot erfassen
: Legt fest, ob du während laufender Gebotsrunden Gebote von Mitgliedern erfassen darfst, z. B. um ihnen zu helfen,
  wenn die Erfassung über eigene Geräte nicht funktioniert.

Berechtigung: Runde starten
: Legt fest, ob du eine Gebotsrunde starten darfst.

Berechtigung: Runde beenden
: Legt fest, ob du eine Gebotsrunde beenden darfst.

Berechtigung: Auswertung abrufen
: Legt fest, ob du Zugriff auf die ausführlichen Ergebnisse einer Runde hast.

### Ereignis-Team verwalten

Um die Arbeit während einer Veranstaltung besser verteilen zu können, lässt sich ein Team aufbauen. Voraussetzungen für
potentielle Teammitglieder sind, dass sie über einen Benutzeraccount der [solawi-suite] und die Zugangsberechtigung für
das Modul "Digitales Gebot" verfügen.

#### Team-Mitglied hinzufügen

#### Team-Mitglieder verwalten

## Ereignisse im Team

### Gebote

#### Vorabgebote erfassen

#### Gebote erfassen

### Runden

### Ergebnisse

## Archivierte Ereignisse

Im Reiter "Archivierte Ereignisse" finden sich all die Ereignisse, die mit der Funktion "Archivieren" archiviert wurden.

Die Ereignisse können zwar nicht mehr bearbeitet werden, aber es ist möglich, die Runden-Ergebnisse abzurufen und die
Ereignisse mitsamt der Ergebnisse endgültig zu löschen.

![Archivierte Ergebnisse](archived-result-list.webp)

## Beamer-Funktionen

An verschiedenen Stellen gibt es die Möglichkeit, die vorliegenden Informationen an angeschlossene Beamer zu senden.
Dazu müssen Beamer verbunden sein. Mehr Details dazu: [:octicons-arrow-right-24: Beamer-Modul](../beamer/index.md).


[^csv]: CSV steht für "Comma-separated values" und beschreibt ein textbasiertes menschenlesbares Dateiformat für
        tabellarische Daten. Viele Programme zur Tabellenkalkulation beherrschen CSV als Export-Format. Leider gibt es
        keinen einheitlichen Standard zum Aufbau.
        Weitere Informationen bei [Wikipedia](https://de.wikipedia.org/wiki/CSV_(Dateiformat)).

