# Digitales Gebotsverfahren für Mitglieder

_Liebes Mitglied!_

Du bist eingeladen, im Rahmen einer Veranstaltung dein Gebot zur Finanzierung der SoLaWi _digital_ abzugeben. Früher
wurden die Gebote auf kleinen Zetteln während der entsprechenden Versammlungen eingesammelt und mühsam von Hand
ausgezählt um festzustellen, ob eine Bieterrunde bzw. Gebotsrunde erfolgreich war oder ob es eine weitere Runde geben
muss.

Das "Digitale Gebot" der [solawi-suite] von [solawi.me](https://solawi.me/) erleichtert diesen Prozess für alle
Beteiligten und automatisiert zeitraubende und fehleranfällige Auszählungen. Im folgenden erklären wir dir, wie die
digitale Gebotsabgabe funktioniert, was du dazu brauchst und wie du Unterstützung finden kannst.

!!! important "Deine SoLaWi und die [solawi-suite]"

    Die [solawi-suite] unter [https://solawi.me/](https://solawi.me/) ist "nur" die Software, die deine SoLaWi zur
    Durchführung der Bieterrunden verwendet.

    Wenn du Fragen, Anregungen oder Fehlermeldungen zur Software an sich hast, kannst du uns gerne 
    [kontaktieren](/ui/contact), aber in allen Fragen rund um deine SoLaWi wende dich bitte an die jeweiligen
    Ansprechpersonen aus euren Kontakt-/Orga-Teams/Kreisen. Sie helfen dir sicherlich weiter.

## Deine Zutaten für eine gelungene Bieterrunde

Um ein Gebot abzugeben, brauchst du diese Dinge:

- Deine Anteils-ID und eine Anteils-PIN (beides wird dir vorab von deinem Orga-Team ausgehändigt)
- Dein internetfähiges Mobiltelefon (Smartphone), Tablet oder deinen (mobilen) Computer; _wenn du über kein eigenes
  Gerät verfügst, kannst du auch das Gerät eines anderen Teilnehmers verwenden, die Abstimmung ist nicht gerätegebunden
  und es gibt keine langen Passwörter, die du irgendwo eintippen musst_
 
!!! tip inline end "Internetzugang während Veranstaltungen"

    Manche SoLaWis stellen währennd ihrer Veranstaltungen ein Drahtlosnetzwerk (WLAN) mit Internetzugang zur Verfügung.

- Einen Zugang zur Runde, der auf diesen Wegen erfolgen kann:
    - Ein Direktlink, der dich direkt zum Formular für die Abgabe führt, und der dir z. B. per E-Mail oder als QR-Code
      zugegangen ist.
    - Eine Ereignis-PIN, mit der du unter [https://solawi.me/bid/go](https://solawi.me/bid/go) zur Bieterrrunde dazu
      stoßen kannst

Was du jedoch auf keinen Fall benötigst: Du brauchst kein Benutzerkonto für die [solawi-suite].

## In drei Schritten zum Gebot

Wir erklären dir nun Schritt für Schritt, wie die Gebotsabgabe funktioniert.

### 1. Gebotsseite aufrufen

<div class="grid cards" markdown>
-   **Aufruf mit Ereignis-PIN**

    ---

    Öffne mit deinem Browser [https://solawi.me/bid/go](https://solawi.me/bid/go). Gib anschließend die 12-stellige
    numerische Ereignis-PIN ein, die allen Teilnehmern zur Verfügung gestellt wurde. Die Leerzeichen zwischen den
    Dreiergruppen musst du nicht mit eingeben.

    ![Einem Ereignis beitreten](enter-event-form.webp)

    Klicke anschließend auf die Schaltfläche "beitreten".

-   **Aufruf mit Direktlink**

    ---

    Du kommst direkt auf der Seite zur Gebotsabgabe an.
</div>

### 2. Auf den Beginn der Runde warten.

![Aktuell keine Gebotsrunde](no-round.webp){align=right width=200}

Solange die Veranstaltungsleitung noch keine Gebotsrunde eröffnet hat, kannst du kein Gebot abgeben. Dieses Vorgehen
stellt sicher, dass dein Gebot der richtigen Runde zugeordnet werden kann und so eine saubere Auszählung möglich ist.

Sobald bekannt gegeben wird, dass die Runde eröffnet wurde, klicke auf den "Aktualisieren"-Knopf.

### 3. Dein Gebot erfassen

![Gebotsabgabe-Formular](bid-form.webp){align=right width=200}

Bei eröffneter Runde hast du nun Zugriff auf ein Formular, in dem du diese Daten erfasst:

- Deine Anteils-ID
- Deine Anteils-PIN
- Den Gebotsbetrag pro Monat (bitte verzichte auf Tausender-Trennzeichen)

Klicke nun auf die Schaltfläche "Gebot abgeben". Deine Eingaben werden nun überprüft, und dein Gebot abgespeichert.

!!! danger "Gebote sind bindend!"

    Du kannst nur ein Gebot pro Runde abgeben. Ein einmal abgegebenes Gebot kann nicht mehr verändert werden.

#### Sonderfall: Unterschreitung des Mindestgebots

Deine SoLaWi kann festlegen, dass es ein Mindestgebot gibt. Wenn dein Gebot diesen Betrag unterschreitet, erhältst du
eine entsprechende Meldung und musst dein Gebot erhöhen. Erst dann ist die Gebotsabgabe erfolgreich.

## Was passiert eigentlich, wenn du kein gültiges Gebot in einer Runde abgibst?

Deine SoLaWi kann Regeln festlegen, was passiert, wenn ein:e Anteilseigner:in nicht bietet. Das kann vom Einsetzen eines
definierten Mindestbetrags bis zu einem prozentualen Anteil der abgegebenen Gebote oder einer Kombination von Regeln
bestehen. Dein Orga- oder Finanz-Team klärt darüber auf.

## Ende der Runde

Nach einer gewissen Zeit beendet die Veranstaltungsleitung die Runde. Die Auswertung erfolgt nun automatisch, und das
Ergebnis wird bekannt gegeben.

## Vorab Gebote abgeben

Bei einigen SoLaWis ist es möglich, dass du Gebote vorab der Veranstaltungsleitung mitteilen kannst. Diese "Vorabgebote"
werden dann durch das Veranstaltungsteam vor Beginn der Gebotsrunden erfasst.

Entsprechend kannst du selbst mit Anteils-ID und Anteils-PIN keine Gebote abgeben, wenn bereits ein gültiges Vorabgebot
für deinen Anteil vorliegt.
