# Registrierung

!!! tip "Hinweis"
    
    Die Registrierung ist aktuell nur für Mitglieder von SoLaWis möglich, mit denen wir Kontakt stehen. Die
    Registrierung erfolgt dann entweder im Selbst-Service mit einer E-Mail-Adresse mit der Domain der SoLaWi, oder per
    Einladung durch einen der Administratoren.
    
    Wir freuen uns, mit euch in Kontakt zu treten und eine Zusammenarbeit zu diskutieren.
    
    [Kontaktinformationen](/ui/contact)


## Voraussetzungen

Für eine erfolgreiche Registrierung brauchst Du ein paar wenige Voraussetzungen, egal ob du dich im Selbst-Service oder
mit einer Einladung von uns registrierst:

1. Einen Internetzugang und einen modernen Webbrowser. Aktuell testen wir hauptsächlich mit Mozilla Firefox. Theoretisch
   sollten aber alle anderen verbreiteten Browser auch funktionieren.
2. Eine gültige E-Mail-Adresse, an die wir dir deine persönlichen Informationen zur Registrierung schicken können.
3. Grundsätzlich sollten alle Funktionen der [solawi-suite] auf mobilen Endgeräten funktionieren. Für die Durchführung
   der Registrierung empfehlen wir jedoch ein Tablet oder einen Desktop-Rechner, das vereinfacht die Einrichtung der
   Zwei-Faktor-Authentifizierung.

    !!! tip inline end "Passkeys"
        
        Nach erfolgreicher Registrierung kannst du dir den Zugang mittels Passkey einrichten. Was Passkeys sind, wo die  
        Vorteile für dich liegen und was du dazu tun musst, erklären wir dir 
        [:octicons-arrow-right-24: hier](../account/self-service.md#passkeys-verwalten)

4. Apropos Zwei-Faktor-Authentifizierung: Du benötigst eine App oder ein anderes Tool, um sogenannte TOTPs[^1] zu
   erzeugen. Das sind sechsstellige Zahlencodes, mit denen du deine Identität bestätigst. Eine Registrierung ohne die
   sofortige Einrichtung der Zwei-Faktor-Authentifizierung ist nicht möglich. Hier eine Auswahl an Apps:
     - FreeOTP
       ([iOS](https://apps.apple.com/us/app/freeotp-authenticator/id872559395),
       [Android](https://play.google.com/store/apps/details?id=org.fedorahosted.freeotp))
     - Microsoft Authenticator
       ([iOS](https://apps.apple.com/de/app/microsoft-authenticator/id983156458),
       [Android](https://play.google.com/store/apps/details?id=com.azure.authenticator))
     - Twilio Authy
       ([iOS](https://apps.apple.com/in/app/twilio-authy/id494168017),
       [Android](https://play.google.com/store/apps/details?id=com.authy.authy&hl=en_IN))
      
     Alle Apps haben ihre spezifischen Vor- und Nachteile, weswegen wir für keine davon eine explizite Empfehlung
     aussprechen. Eventuell ist aber eine davon bereits bei dir im Einsatz.
     Neben den genannten Apps können viele Passwort-Manager, wie beispielsweise [Passbolt](https://www.passbolt.com/),
     [Bitwarden](https://bitwarden.com/) oder [LastPass](https://www.lastpass.com/) ebenso zur Verwaltung von TOTPs
     verwendet werden. Hier gibt es meist noch Browser-Plugins, die eine komfortable Nutzung ermöglichen.
 
5. Du benötigst ein starkes Passwort, welches diesen Regeln entspricht:
     - Mindestens 10 Zeichen lang, bis zu 1024 Zeichen
     - Es darf keine zu große Ähnlichkeit mit deiner E-Mail-Adresse oder deinen Namensinformatioen haben
     - Es darf nicht zu gewöhnlich sein
     - Es darf nicht nur ausschließlich aus Zahlen bestehen

[^1]: TOTP steht für "Time-based one-time password" und ist eine gängige Form für einen zweiten Faktor für die Anmeldung
      an (Web-)Applikationen. Die Erzeugung ist standardisiert, so dass eine breite Auswahl an Apps und Tools für fast
      jede Plattform zur Verfügung steht.
      Weitere Infos bei [Wikipedia](https://de.wikipedia.org/wiki/Time-based_one-time_password).

## Ablauf

### Registrierungsmail erhalten

<div class="grid cards" markdown>
-   **Registrierung im Selbst-Service**

    ---

    1. Besuche die Seite [Registrierung](/users/register).
    2. Gib deine E-Mail-Adresse mit der Domain deiner SoLaWi ein.
    3. Das System schickt dir innerhalb weniger Minuten eine E-Mail mit einem persönlichen Registrierungslink an die
       angegebene Adresse. Mit einem Klick auf diesen Link kannst Du mit dem Registrierungsprozess beginnen.

-   **Registrierung auf Einladung**

    ---

    Du erhältst nach Rücksprache mit uns eine E-Mail vom [solawi-suite]-System, welche einen individuellen nur für dich
    bestimmten Link zur Registrierung enthält. Mit einem Klick auf diesen Link kannst Du mit dem Registrierungsprozess
    beginnen.
</div>

!!! warning "Gültigkeit der Links"

    Die Links, die dir per E-Mail geschickt werden, sind für exakt eine Registrierung gültig und individuell nur für
    dich, da damit bereits deine E-Mail-Adresse verbunden ist.

    Die Registrierungslinks sind außerdem **nur für 48 Stunden gültig**. Während der Link noch gültig ist, kannst du
    keinen neuen Link für die gleiche E-Mail-Adresse anfordern. Sollte keine Registrierung durchgeführt werden, löschen
    wir deine E-Mail-Adresse nach dem Ablauf der Gültigkeit automatisch wieder aus dem System.

    Schaue auch in deinem **Spam-Ordner** nach. Wir verwenden zwar SPF[^11], DKIM[^12] und DMARC[^13], aber dennoch
    kommt es von Zeit zu Zeit vor, dass die Nachrichten im Spam landen.


[^11]: SPF steht für "Sender Policy Framework" und beschreibt ein Regelwerk, welches definiert, welche Server Mails für
       eine bestimmte Domain versenden dürfen.
       Weitere Infos bei [Wikipedia](https://de.wikipedia.org/wiki/Sender_Policy_Framework).

[^12]: DKIM steht für "DomainKeys Identified Mail" und stellt sicher, dass wir wirklich der Absender sind, der wir
       vorgeben, zu sein.
       Weitere Infos bei [Wikipedia](https://de.wikipedia.org/wiki/DomainKeys_Identified_Mail).

[^13]: DMARC steht für "Domain-based Message Authentication, Reporting and Conformance" und basiert auf der Verwendung
       von SPF und DKIM.
       Weitere Infos bei [Wikipedia](https://de.wikipedia.org/wiki/DMARC).

## Registrierung durchführen

Mit dem Klick auf den Link kommst du zu diesem Formular:

![Online-Formular zur Registrierung](registration.webp)

Fülle es mit deinem Namen aus, und gib dein Passwort zwei Mal ein. Scanne nun den QR-Code mit deiner TOTP-App oder
konfiguriere dein Tool mit dem Secret, welches unter dem QR-Code angegeben ist. Lasse deine App oder dein Tool einen
Code generieren und gib ihn ein.

Das war es schon. Du bist nun registriert.

## Erstes Login

Du kannst dich ab sofort anmelden. Möglicherweise stehen dir noch nicht alle Module zur Verfügung, denn für manche
benötigst du eine manuelle Freischaltung durch einen der Admins.

_Mehr Infos zum Login findest du hier: [:octicons-arrow-right-24: Login](../account/login.md)._
